FreeMat

- Main Page
- Related Pages

vtkRectilinearGridReader

Section: Visualization Toolkit IO Classes

# Usage

vtkRectilinearGridReader is a source object that reads ASCII or binary rectilinear grid data files in vtk format (see text for format details). The output of this reader is a single vtkRectilinearGrid data object. The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

To create an instance of class vtkRectilinearGridReader, simply invoke its constructor as follows

      obj = vtkRectilinearGridReader

# Methods

The class vtkRectilinearGridReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRectilinearGridReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRectilinearGridReader = obj.NewInstance ()`
- `vtkRectilinearGridReader = obj.SafeDownCast (vtkObject o)`
- `vtkRectilinearGrid = obj.GetOutput ()` - Get and set the output of this reader.
- `vtkRectilinearGrid = obj.GetOutput (int idx)` - Get and set the output of this reader.
- `obj.SetOutput (vtkRectilinearGrid output)` - Get and set the output of this reader.
- `int = obj.ReadMetaData (vtkInformation outInfo)` - Read the meta information from the file. This needs to be public to it can be accessed by vtkDataSetReader.